Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051380 - [abrt] gnome-shell: gray_find_cell(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: gray_find_cell(): gnome-shell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b443a94ea46c569ddf5982f887c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 08:08 UTC by Marcin Stawiarski
Modified: 2015-06-29 14:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:19:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (151.74 KB, text/plain)
2014-01-10 08:08 UTC, Marcin Stawiarski
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details
File: core_backtrace (97.20 KB, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details
File: dso_list (23.16 KB, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details
File: environ (1.19 KB, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details
File: maps (122.65 KB, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details
File: open_fds (4.00 KB, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details
File: var_log_messages (4.92 KB, text/plain)
2014-01-10 08:09 UTC, Marcin Stawiarski
no flags Details

Description Marcin Stawiarski 2014-01-10 08:08:53 UTC
Version-Release number of selected component:
gnome-shell-3.10.2.1-3.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gray_find_cell
executable:     /usr/bin/gnome-shell
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 gray_find_cell at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:533
 #7 gray_record_cell at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:553
 #8 gray_convert_glyph_inner at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:1784
 #9 gray_convert_glyph at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:1885
 #10 ft_smooth_render_generic at /usr/src/debug/freetype-2.5.0/src/smooth/ftsmooth.c:315
 #11 FT_Render_Glyph_Internal at /usr/src/debug/freetype-2.5.0/src/base/ftobjs.c:4055
 #12 FT_Render_Glyph at /usr/src/debug/freetype-2.5.0/src/base/ftobjs.c:4136
 #13 _render_glyph_outline at cairo-ft-font.c:1444
 #14 _cairo_ft_scaled_glyph_init at cairo-ft-font.c:2378
 #15 _cairo_scaled_glyph_lookup at cairo-scaled-font.c:3004

Potential duplicate: bug 905117

Comment 1 Marcin Stawiarski 2014-01-10 08:08:59 UTC
Created attachment 848080 [details]
File: backtrace

Comment 2 Marcin Stawiarski 2014-01-10 08:09:01 UTC
Created attachment 848081 [details]
File: cgroup

Comment 3 Marcin Stawiarski 2014-01-10 08:09:04 UTC
Created attachment 848082 [details]
File: core_backtrace

Comment 4 Marcin Stawiarski 2014-01-10 08:09:07 UTC
Created attachment 848083 [details]
File: dso_list

Comment 5 Marcin Stawiarski 2014-01-10 08:09:09 UTC
Created attachment 848084 [details]
File: environ

Comment 6 Marcin Stawiarski 2014-01-10 08:09:11 UTC
Created attachment 848085 [details]
File: limits

Comment 7 Marcin Stawiarski 2014-01-10 08:09:14 UTC
Created attachment 848086 [details]
File: maps

Comment 8 Marcin Stawiarski 2014-01-10 08:09:16 UTC
Created attachment 848087 [details]
File: open_fds

Comment 9 Marcin Stawiarski 2014-01-10 08:09:18 UTC
Created attachment 848088 [details]
File: proc_pid_status

Comment 10 Marcin Stawiarski 2014-01-10 08:09:20 UTC
Created attachment 848089 [details]
File: var_log_messages

Comment 11 John Slade 2014-02-25 11:34:56 UTC
Another user experienced a similar problem:

Occured on login gnome

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gray_find_cell
executable:     /usr/bin/gnome-shell
kernel:         3.13.3-201.fc20.x86_64
package:        gnome-shell-3.10.3-8.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 Fedora End Of Life 2015-05-29 10:25:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:19:32 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.